/****** Object:  View [dbo].[V_PDV_VD_FECHA_MOV]    Script Date: 03/26/2014 19:09:11 ******/
IF  EXISTS (SELECT * FROM sys.views WHERE object_id = OBJECT_ID(N'[dbo].[V_PDV_VD_FECHA_MOV]'))
DROP VIEW [dbo].[V_PDV_VD_FECHA_MOV]
GO
-- SELECT * FROM V_PDV_VD_FECHA_MOV WHERE CD_FILIAL  = 1 AND  DT_MOV  =  '2024-11-03' 
CREATE VIEW V_PDV_VD_FECHA_MOV AS 
SELECT
	PDV_VD_FECHA_MOV.CD_EMP,
	PDV_VD_FECHA_MOV.CD_FILIAL,
	PDV_VD_FECHA_MOV.DT_MOV,
	PDV_VD_FECHA_MOV.VLR_CONSOLIDADO,
	PDV_VD_FECHA_MOV.DT_BLQ_ALT_FECHA,
	PDV_VD_FECHA_MOV.DT_CAD,
	CASE WHEN ISNULL(PDV_VD_FECHA_MOV.BLQ_ALT_FECHA,0) = 0 THEN
		'NAO'
	ELSE
		'SIM'
	END BLOQUEIO,
	CASE WHEN ISNULL(PDV_VD_FECHA_MOV.CD_USU_ALT,0) =0 THEN 
		CASE WHEN ISNULL(PDV_VD_FECHA_MOV.CD_USU_ALT,0)=0 THEN
			ISNULL(GLB_USU_GRAVA.NM_USU,'') 
		ELSE
			''  
		END
	ELSE 
		CASE WHEN ISNULL(PDV_VD_FECHA_MOV.CD_USU_ALT,0)=0 THEN
			ISNULL(GLB_USU.NM_USU,'') 
		ELSE
			ISNULL(GLB_USU_GRAVA.NM_USU,'') 
		END
	END AS NM_USU
	
	,CASE WHEN ISNULL(PDV_VD_FECHA_MOV.CD_USU_BLQ_ALT_FECHA_LOJA ,0) > 0  THEN
		 CASE WHEN ISNULL(BLQ_ALT_FECHA_LOJA,0) =  0 THEN
			'NÃO'
		 ELSE
			'SIM'
		 END
	ELSE
		''
	END BLOQUEIO_LOJA
	
	,ISNULL(CONVERT(VARCHAR, DT_BLQ_ALT_FECHA_LOJA, 103), '') AS DT_BLQ_ALT_FECHA_LOJA
    
	,CASE WHEN ISNULL(PDV_VD_FECHA_MOV.CD_USU_BLQ_ALT_FECHA_LOJA ,0) > 0  THEN
		 ISNULL(GLB_USU_BLQ_LOJA.NM_USU,'') 
	ELSE
		''
	END AS NM_USU_BLQ_ALT_FECHA_LOJA

FROM
	PDV_VD_FECHA_MOV LEFT OUTER JOIN GLB_USU ON
	PDV_VD_FECHA_MOV.CD_USU_ALT  = GLB_USU.CD_USU
	LEFT OUTER JOIN GLB_USU AS GLB_USU_GRAVA ON
	PDV_VD_FECHA_MOV.CD_USU  = GLB_USU_GRAVA.CD_USU
	LEFT JOIN GLB_USU  AS GLB_USU_BLQ_LOJA ON
    PDV_VD_FECHA_MOV.CD_USU_BLQ_ALT_FECHA_LOJA  = GLB_USU_BLQ_LOJA.CD_USU

UNION ALL
SELECT
	PDV_CONSLD_VD_MOVIMENTO.CD_EMP,
	PDV_CONSLD_VD_MOVIMENTO.CD_FILIAL,
	PDV_CONSLD_VD_MOVIMENTO.DT_MOV,
	PDV_CONSLD_VD_MOVIMENTO.VLR_PDV_VD,
	NULL DT_BLQ_ALT_FECHA,
	PDV_CONSLD_VD_MOVIMENTO.DT_ULT_CONSD,
	'NAO' AS BLOQUEIO,
	'MOVIMENTO COM CAIXA LOJA NAO FECHADO' AS NM_USU,
	'' AS BLOQUEIO_LOJA 
	,NULL DT_BLQ_ALT_FECHA_LOJA 
    ,'MOVIMENTO COM CAIXA LOJA NAO FECHADO' AS NM_USU_LOJA 
FROM
	PDV_CONSLD_VD_MOVIMENTO LEFT OUTER JOIN PDV_VD_FECHA_MOV ON
	PDV_CONSLD_VD_MOVIMENTO.CD_EMP = PDV_VD_FECHA_MOV.CD_EMP AND
	PDV_CONSLD_VD_MOVIMENTO.CD_FILIAL = PDV_VD_FECHA_MOV.CD_FILIAL AND
	PDV_CONSLD_VD_MOVIMENTO.DT_MOV = PDV_VD_FECHA_MOV.DT_MOV 
WHERE
	 PDV_VD_FECHA_MOV.DT_MOV  IS NULL